commit:     289aa33277dcba453d0c2519c49ad947f4ea504a
Author:     Jonathan Davies <jpds <AT> protonmail <DOT> com>
AuthorDate: Fri Jun 25 15:00:22 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 04:52:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=289aa332

net-irc/ergo: Fixed OpenRC init script to handle backgrounding correctly and 
added reload function.

Signed-off-by: Jonathan Davies <jpds <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/21425
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-irc/ergo/{ergo-2.7.0.ebuild => ergo-2.7.0-r1.ebuild} |  0
 net-irc/ergo/files/ergo.initd                            | 10 +++++++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/net-irc/ergo/ergo-2.7.0.ebuild b/net-irc/ergo/ergo-2.7.0-r1.ebuild
similarity index 100%
rename from net-irc/ergo/ergo-2.7.0.ebuild
rename to net-irc/ergo/ergo-2.7.0-r1.ebuild

diff --git a/net-irc/ergo/files/ergo.initd b/net-irc/ergo/files/ergo.initd
index bc2b7dd064d..025d6951862 100644
--- a/net-irc/ergo/files/ergo.initd
+++ b/net-irc/ergo/files/ergo.initd
@@ -1,6 +1,8 @@
 #!/sbin/openrc-run
 command=/usr/bin/ergo
-command_args="--conf ${ERGO_CONFIGFILE:-"/etc/ergo/ircd.yaml"}"
+command_args="run --conf ${ERGO_CONFIGFILE:-"/etc/ergo/ircd.yaml"}"
+command_background=true
+extra_started_commands="reload"
 pidfile=/var/run/ergo.pid
 name="ergo"
 description="ergo IRC daemon"
@@ -9,3 +11,9 @@ depend() {
        use dns
        provide ircd
 }
+
+reload() {
+       ebegin "Reloading ${RC_SVCNAME}"
+       start-stop-daemon --signal HUP --pidfile "${pidfile}"
+       eend $?
+}

Reply via email to